# Uses of Interface
java.security.interfaces.DSAParams

Packages that use DSAParams
Package
Description
java.security.interfaces
Provides interfaces for generating RSA (Rivest, Shamir and Adleman AsymmetricCipher algorithm) keys as defined in the RSA Laboratory Technical Note PKCS#1, and DSA (Digital Signature Algorithm) keys as defined in NIST's FIPS-186.
java.security.spec
Provides classes and interfaces for key specifications and algorithm parameter specifications.

## Uses of DSAParams in java.security.interfaces

Methods in java.security.interfaces that return DSAParams
Modifier and Type
Method
Description
`DSAParams`
DSAKey.`getParams()`
Returns the DSA-specific key parameters.
Methods in java.security.interfaces with parameters of type DSAParams
Modifier and Type
Method
Description
`void`
DSAKeyPairGenerator.`initialize​(DSAParams params, SecureRandom random)`
Initializes the key pair generator using the DSA family parameters (p,q and g) and an optional SecureRandom bit source.

## Uses of DSAParams in java.security.spec

Classes in java.security.spec that implement DSAParams
Modifier and Type
Class
Description
`class`
`DSAParameterSpec`
This class specifies the set of parameters used with the DSA algorithm.